{% extends "transport/base.html" %}
{% load transport_utils %}

{% block title %}Transports passés de {{ client }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ client }}</li>
{% endblock %}

{% block content %}
    <h3>Transports passés de {{ client }}</h3>
    {% include 'transport/client_tabs.html' with active='archives' %}
    <form id="{{ filter_form.name }}" class="immediate_submit table-filter unmonitor" method="get" action="{{ request.path }}"
          data-target="#transp_list">
    <table class="table table-sm">
        <thead>
            <tr><th>Date</th><th>Départ</th><th>Rdv</th><th>Retour</th><th></th><th>Destination</th><th>Chauffeur</th><th>Statut</th></tr>
            <tr class="filters">
                <td class="p-0">{{ filter_form.date }}</td><td class="p-0" colspan="4"></td>
                <td class="p-0">{{ filter_form.destination }}</td><td class="p-0">{{ filter_form.chauffeur }}</td>
                <td class="p-0">{{ filter_form.statut }}</td><td></td>
            </tr>
        </thead>
        <tbody id="transp_list">
    {% for transp in object_list %}
        {% transport_line transp 'id,statut,-client' %}
    {% empty %}<tr><td><i>Aucun transport à afficher.</i></td></tr>
    {% endfor %}
    </tbody></table>
    </form>

    {% include 'pagination.html' %}
{% endblock %}
